Method: networks.liveStreams.batchCreate

Batch creates LiveStream objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/liveStreams:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where LiveStreams will be created. Format: networks/{networkCode} The parent field in the CreateLiveStreamRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateLiveStreamRequest)
    }
  ]
}
Fields
requests[]

object (CreateLiveStreamRequest)

Required. The LiveStream objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for liveStreams.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "liveStreams": [
    {
      object (LiveStream)
    }
  ]
}
Fields
liveStreams[]

object (LiveStream)

The LiveStream objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateLiveStreamRequest

Request object for liveStreams.create method.

JSON representation
{
  "parent": string,
  "liveStream": {
    object (LiveStream)
  }
}
Fields
parent

string

Required. The parent resource where this LiveStream will be created. Format: networks/{networkCode}

liveStream

object (LiveStream)

Required. The LiveStream to create.